# Class GetMethodHelpRequest

#### Hierarchy

- unknown
  - GetMethodHelpRequest

- Defined in src/protobuf/grpc_pb.d.ts:6
- Defined in src/protobuf/grpc_pb.d.ts:18

#####
Index

### Constructors

constructor

### Methods

getMethodName
serializeBinary
setMethodName
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetMethodHelpRequest(): GetMethodHelpRequest

- #### Returns GetMethodHelpRequest

  Inherited from jspb.Message.constructor

## Methods

### getMethodName

- getMethodName(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:7

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:10

### setMethodName

- setMethodName(value: string): GetMethodHelpRequest

- #### Parameters

  - ##### value: string

  #### Returns GetMethodHelpRequest

  - Defined in src/protobuf/grpc_pb.d.ts:8

### toObject

- toObject(includeInstance?: boolean): GetMethodHelpRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetMethodHelpRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:11

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMethodHelpRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMethodHelpRequest

  - Defined in src/protobuf/grpc_pb.d.ts:14

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMethodHelpRequest, reader: BinaryReader): GetMethodHelpRequest

- #### Parameters

  - ##### message: GetMethodHelpRequest

  - ##### reader: BinaryReader

  #### Returns GetMethodHelpRequest

  - Defined in src/protobuf/grpc_pb.d.ts:15

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMethodHelpRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetMethodHelpRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:13

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetMethodHelpRequest): GetMethodHelpRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMethodHelpRequest

  #### Returns GetMethodHelpRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:12

Generated using TypeDoc